#!/bin/bash

# LORZE erasandcad, a 2D CAD with an intuitive user interface, simple and easy.
# http://erasand.jimdo.com/python-programme/lorze/
# (C) 2012, Andreas Ulrich

# This file is part of “LORZE erasandcad“

# “LORZE erasandcad“ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

# “LORZE erasandcad“ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along with LORZE erasandcad.  If not, see <http://www.gnu.org/licenses/>.

echo
echo "------------------------------------------------------------"
echo "  Please choose your perating system.."
echo "------------------------------------------------------------"
echo "  [1] Ubuntu, Debian, Linux Mint (Apt-Get)"
echo "  [2] Fedora (Yum)"
echo "  [3] Mac OS X PPC 10.3 - 10.6 (hdid)"
echo "  [4] Mac OS X 10.6 - 10.7 (hdid)"
echo "  [CTRL]+[C] to cancel"
echo "------------------------------------------------------------"
echo "  Your choice .."
read TASTE
if [ "$TASTE" == "1" ]
    then
    # linux with apt-get
    sudo apt-get install python

elif [ "$TASTE" == "2" ]
    then
    # linux with apt-get
    sudo yum install python

elif [ "$TASTE" == "3" ]
    then
    # mac, os x ppc 10.3 - 10.6
    hdid http://www.python.org/ftp/python/2.7.3/python-2.7.3-macosx10.3.dmg
    md5 python-2.7.3-macosx10.3.dmg > dat1.txt
    SUM="$(grep -i 80461c3c60fae64122b51eb20341b453 dat1.txt)"
    if [ -n "$SUM" ]
        then
            cd /Volumes/python-2.7.3-macosx10.3
            sudo installer -pkg python-2.7.3.pkg -target /
    fi

elif [ "$TASTE" == "4" ]
    then
    # mac, os x ppc 10.6 - 10.7
    hdid http://www.python.org/ftp/python/2.7.3/python-2.7.3-macosx10.6.dmg
    md5 python-2.7.3-macosx10.6.dmg > dat1.txt
    SUM="$(grep -i 15c434a11abe7ea5575ef451cfd60f67 dat1.txt)"
    if [ -n "$SUM" ]
        then
            cd /Volumes/python-2.7.3-macosx10.6
            sudo installer -pkg python-2.7.3.pkg -target /
    fi

fi

cd ..
./setupBASH.sh
