#!/usr/bin/python
# -*- coding: utf-8 -*-

# This file is part of “LORZE erasandcad“

# “LORZE erasandcad“ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

# “LORZE erasandcad“ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along with LORZE erasandcad.  If not, see <http://www.gnu.org/licenses/>.

class LorzeRestart():
    # Lorze restart for starting the gui with different options

    def __init__(self):
        # Bool, true= restart
        self.__restart= False

        # Container for datas
        self.__data= None


    def SetRestart(self, restart):
        self.__restart= restart


    def GetRestart(self):
        return(self.__restart)


    def SetData(self, data):
        self.__data= data


    def GetData(self):
        return(self.__data)


if __name__== '__main__':
    test= LorzeRestart()

    print('After initialization')
    print(test.GetRestart())
    print(test.GetData())

    print('Set new restart')
    test.SetRestart(True)
    test.SetData('TEST')
    print('Restart should be True / it is', test.GetRestart())
    print('This is in the datas:', test.GetData())

