@echo off

:: LORZE erasandcad, a 2D CAD with an intuitive user interface, simple and easy.
:: http://erasand.jimdo.com/python-programme/lorze/
:: (C) 2012, Andreas Ulrich

:: This file is part of “LORZE erasandcad“

:: “LORZE erasandcad“ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

:: “LORZE erasandcad“ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

:: You should have received a copy of the GNU General Public License along with LORZE erasandcad.  If not, see <http://www.gnu.org/licenses/>.

:GETARCHITECTURE
set > dat1.txt
findstr /M "64" dat1.txt > dat2.txt
set ARCH=32
for /f "tokens=*" %%i in (dat2.txt) do set ARCH=64
if %ARCH% == 64 goto BIT64DONWLOAD

:BIT32DOWNLOAD
wget -c http://www.python.org/ftp/python/2.7.3/python-2.7.3.msi
md5.exe python-2.7.3.msi > dat1.txt
findstr /M "c846d7a5ed186707d3675564a9838cc2" dat1.txt > dat2.txt
for /f "tokens=*" %%i in (dat2.txt) do goto :BIT32INSTALL
goto CANCEL

:BIT32INSTALL
msiexec /i python-2.7.3.msi
goto FINISH

:BIT64DONWLOAD
wget -c http://www.python.org/ftp/python/2.7.3/python-2.7.3.amd64.msi
md5-x64.exe python-2.7.3.amd64.msi > dat1.txt
findstr /M "d11d4aeb7e5425bf28f28ab1c7452886" dat1.txt > dat2.txt
for /f "tokens=*" %%i in (dat2.txt) do goto :BIT64INSTALL
goto CANCEL

:BIT64INSTALL
msiexec /i python-2.7.3.amd64.msi
goto FINISH

:FINISH
cd ..
setupWIN.bat

:CANCEL
