#!/usr/bin/python
# -*- coding: utf-8 -*-

# LORZE erasandcad, a 2D CAD with an intuitive user interface, simple and easy.
# http://erasand.jimdo.com/python-programme/lorze/
# (C) 2012, Andreas Ulrich

# This file is part of “LORZE erasandcad“

# “LORZE erasandcad“ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

# “LORZE erasandcad“ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along with LORZE erasandcad.  If not, see <http://www.gnu.org/licenses/>.

import time


class LorzeLog():
    # Log object for LORZE erasandcad

    def __init__(self):
        # log, list, zeitstempel= time.time() / convercion to readable time: time.strftime('%Y.%m.%d,%H:%M:%S', time.localtime(zeitstempel)) /
        self.__log= []


    def AddEntry(self, text):
        # add a new entry to the log
        timestamp= time.strftime('%Y.%m.%d-%H:%M:%S', time.localtime(time.time()))
        self.__log.append((timestamp+ '|'+ text))


    def GetLog(self):
        # get to log-list
        return(self.__log)


if __name__== '__main__':
    log= LorzeLog()

    log.AddEntry('Test 1')
    log.AddEntry('Test 2')

    print('GETLOG')
    print(log.GetLog())
